Package org.apache.cxf.validation

## Class ClientBeanValidationFeature

- java.lang.Object
- - javax.xml.ws.WebServiceFeature
  - - org.apache.cxf.feature.AbstractFeature
    - - org.apache.cxf.feature.DelegatingFeature<ClientBeanValidationFeature.Portable>
      - - org.apache.cxf.validation.ClientBeanValidationFeature

- All Implemented Interfaces:
    `AbstractPortableFeature`, `Feature`

      public class ClientBeanValidationFeature
      extends DelegatingFeature<ClientBeanValidationFeature.Portable>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ClientBeanValidationFeature.Portable` |

  - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.feature.DelegatingFeature

      `delegate`

    - ### Fields inherited from class javax.xml.ws.WebServiceFeature

      `enabled`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `` | `ClientBeanValidationFeature()` |
    `protected` | `ClientBeanValidationFeature​(ClientBeanValidationFeature.Portable d)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addInterceptor​(InterceptorProvider interceptorProvider, ClientBeanValidationOutInterceptor out)` |
    `void` | `setProvider​(BeanValidationProvider provider)` |

    - ### Methods inherited from class org.apache.cxf.feature.DelegatingFeature

      `getDelegate, initialize, initialize, initialize, initialize, initializeProvider, setDelegate`

    - ### Methods inherited from class org.apache.cxf.feature.AbstractFeature

      `doInitializeProvider, getActive, getID, isEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientBeanValidationFeature

          public ClientBeanValidationFeature()

    - #### ClientBeanValidationFeature

          protected ClientBeanValidationFeature​(ClientBeanValidationFeature.Portable d)

  - ### Method Detail

    - #### addInterceptor

          public void addInterceptor​(InterceptorProvider interceptorProvider,
                                     ClientBeanValidationOutInterceptor out)

    - #### setProvider

          public void setProvider​(BeanValidationProvider provider)